Skip to content
Webfold Docs
Esc
↑↓navigate↵open⌘Jpreview

Get a bookmark

GET/v1/bookmarks/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

Bearer API key issued for your account. Send Authorization: Bearer <key>.

Path parameters
idstringrequired
Responses
200

Bookmark

idstringrequired
urlstring<uri>required
titlestringrequired
descriptionstringrequired
tagsstring[]required
collection_idstring | null
ownerstringrequired
archived_contentstringrequired

Markdown archived from the URL at creation time

archived_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time>required
401

Missing or invalid bearer token

string
403

Billing or plan entitlement blocked the request

string
404

Resource not found

string
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.webfold.ai/v1/bookmarks/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "id": "bkm_1",
  "url": "https://example.com",
  "title": "Example",
  "description": "An example page",
  "tags": [
    "demo"
  ],
  "collection_id": "col_1",
  "owner": "dev",
  "archived_content": "string",
  "archived_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}